drt-tools-process-excuses(1)

NAME
drt-tools-process-excuses - Process current excuses.yaml and prepare a list of binNMUs required for testing migration and list of unblocks

SYNOPSIS
drt-tools process-excuses [--ignore-age] [--ignore-autopkgtests] [-v|--verbose]... [-q|--quiet]... [-h|--help]

DESCRIPTION
Process current excuses.yaml and prepare a list of binNMUs required for testing migration and list of unblocks

For unblocks, this command parses the current excuses and prepares a list of packages in testing-proposed-updates and packages that have been rebuilt in unstable but are blocked by the freeze.

For rebuilds, the command checks for packages that could migrate to testing if all binaries would have been built on a `buildd`. Packages are only consider if all other checks pass (e.g., `piuparts` and `autopkgtests`) that also have reached half of the required age are considered.

OPTIONS

--ignore-age
    Ignore age of packages

--ignore-autopkgtests
    Ignore results from autopkgtests

-v, --verbose
    Increase logging verbosity

-q, --quiet
    Decrease logging verbosity

-h, --help
    Print help (see a summary with '-h')